#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# TupleDictionary Class

Defined in: `src/utils/TupleDictionary.js:3`

## Constructor

### `TupleDictionary`

()

Defined in `src/utils/TupleDictionary.js:3`

- Index
- Methods
- Properties

## Item Index

### Methods

- get
- reset
- set

### Properties

- data

## Methods

### `get`

(

- `i`
- `j`

)
Number

Defined in `src/utils/TupleDictionary.js:17`

#### Parameters:

- `i` Number
- `j` Number

#### Returns:

Number:

### `reset`

()

Defined in `src/utils/TupleDictionary.js:55`

### `set`

(

- `i`
- `j`
- `value`

)

Defined in `src/utils/TupleDictionary.js:33`

#### Parameters:

- `i` Number
- `j` Number
- `value` Number

## Properties

### `data`

Object

Defined in `src/utils/TupleDictionary.js:9`

The data storage